curl "https://api.vouchmark.com/v1/trust-badge/my-badge?vendorId=cmp_..." \
-H "Authorization: Bearer $TOKEN"
{
"success": true,
"data": {
"vendorId": "cmp_...",
"customerId": "usr_...",
"status": "active",
"score": 90,
"badgeToken": "eyJ...",
"issuedAt": "2026-05-12T00:00:00Z",
"revokedAt": null,
"expiresAt": "2026-08-10T00:00:00Z"
}
}
Trust Badge
Get my badge
Read the Trust Badge for a vendor you own.
GET
/
v1
/
trust-badge
/
my-badge
curl "https://api.vouchmark.com/v1/trust-badge/my-badge?vendorId=cmp_..." \
-H "Authorization: Bearer $TOKEN"
{
"success": true,
"data": {
"vendorId": "cmp_...",
"customerId": "usr_...",
"status": "active",
"score": 90,
"badgeToken": "eyJ...",
"issuedAt": "2026-05-12T00:00:00Z",
"revokedAt": null,
"expiresAt": "2026-08-10T00:00:00Z"
}
}
Returns the Trust Badge record for one of your vendors.
When no badge exists for the vendor, the endpoint returns
Query parameters
curl "https://api.vouchmark.com/v1/trust-badge/my-badge?vendorId=cmp_..." \
-H "Authorization: Bearer $TOKEN"
{
"success": true,
"data": {
"vendorId": "cmp_...",
"customerId": "usr_...",
"status": "active",
"score": 90,
"badgeToken": "eyJ...",
"issuedAt": "2026-05-12T00:00:00Z",
"revokedAt": null,
"expiresAt": "2026-08-10T00:00:00Z"
}
}
404:
{
"success": false,
"message": "No trust badge found for this vendor."
}
